Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
ValueIteratorBase Class Reference

base class for Value iterators. More...

`#include <value.h>`

Inheritance diagram for ValueIteratorBase:

## Public Types
typedef unsigned int | size_t
typedef int | difference_type
typedef ValueIteratorBase | SelfType

## Public Member Functions
| ValueIteratorBase ()
| ValueIteratorBase (const Value::ObjectValues::iterator &current)
bool | operator== (const SelfType &other) const
bool | operator!= (const SelfType &other) const
difference_type | operator- (const SelfType &other) const
Value | key () const
| Return either the index or the member name of the referenced value as a Value. More...
UInt | index () const
| Return the index of the referenced Value. -1 if it is not an arrayValue. More...
const char * | memberName () const
| Return the member name of the referenced Value. "" if it is not an objectValue. More...

## Protected Member Functions
Value & | deref () const
void | increment ()
void | decrement ()
difference_type | computeDistance (const SelfType &other) const
bool | isEqual (const SelfType &other) const
void | copy (const SelfType &other)

## Detailed Description

base class for Value iterators.

## Member Typedef Documentation

typedef int difference_type

typedef ValueIteratorBase SelfType

typedef unsigned int size_t

## Constructor & Destructor Documentation

ValueIteratorBase | ( |  | ) |

ValueIteratorBase | ( | const Value::ObjectValues::iterator & | current | ) |
| explicit

## Member Function Documentation

ValueIteratorBase::difference_type computeDistance | ( | const SelfType & | other | ) | const
| protected

void copy | ( | const SelfType & | other | ) |
| protected

void decrement | ( |  | ) |
| protected

Value & deref | ( |  | ) | const
| protected

void increment | ( |  | ) |
| protected

UInt index | ( |  | ) | const

Return the index of the referenced Value. -1 if it is not an arrayValue.

bool isEqual | ( | const SelfType & | other | ) | const
| protected

Value key | ( |  | ) | const

Return either the index or the member name of the referenced value as a Value.

const char * memberName | ( |  | ) | const

Return the member name of the referenced Value. "" if it is not an objectValue.

bool operator!= | ( | const SelfType & | other | ) | const
| inline

difference_type operator- | ( | const SelfType & | other | ) | const
| inline

bool operator== | ( | const SelfType & | other | ) | const
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/include/json/value.h
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_value.cpp
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_valueiterator.inl